Setup Charger
curl --request POST \
--url https://api.plugchoice.com/v3/chargers/{charger}/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phases": 123,
"max_current": 123,
"group": 123,
"net_type": "<string>",
"phase_rotation": "<string>"
}
'import requests
url = "https://api.plugchoice.com/v3/chargers/{charger}/setup"
payload = {
"phases": 123,
"max_current": 123,
"group": 123,
"net_type": "<string>",
"phase_rotation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phases: 123,
max_current: 123,
group: 123,
net_type: '<string>',
phase_rotation: '<string>'
})
};
fetch('https://api.plugchoice.com/v3/chargers/{charger}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.plugchoice.com/v3/chargers/{charger}/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phases' => 123,
'max_current' => 123,
'group' => 123,
'net_type' => '<string>',
'phase_rotation' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.plugchoice.com/v3/chargers/{charger}/setup"
payload := strings.NewReader("{\n \"phases\": 123,\n \"max_current\": 123,\n \"group\": 123,\n \"net_type\": \"<string>\",\n \"phase_rotation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.plugchoice.com/v3/chargers/{charger}/setup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phases\": 123,\n \"max_current\": 123,\n \"group\": 123,\n \"net_type\": \"<string>\",\n \"phase_rotation\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.plugchoice.com/v3/chargers/{charger}/setup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phases\": 123,\n \"max_current\": 123,\n \"group\": 123,\n \"net_type\": \"<string>\",\n \"phase_rotation\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"setup_pending": true
}Chargers
Setup Charger
POST
/
v3
/
chargers
/
{charger}
/
setup
Setup Charger
curl --request POST \
--url https://api.plugchoice.com/v3/chargers/{charger}/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phases": 123,
"max_current": 123,
"group": 123,
"net_type": "<string>",
"phase_rotation": "<string>"
}
'import requests
url = "https://api.plugchoice.com/v3/chargers/{charger}/setup"
payload = {
"phases": 123,
"max_current": 123,
"group": 123,
"net_type": "<string>",
"phase_rotation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phases: 123,
max_current: 123,
group: 123,
net_type: '<string>',
phase_rotation: '<string>'
})
};
fetch('https://api.plugchoice.com/v3/chargers/{charger}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.plugchoice.com/v3/chargers/{charger}/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phases' => 123,
'max_current' => 123,
'group' => 123,
'net_type' => '<string>',
'phase_rotation' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.plugchoice.com/v3/chargers/{charger}/setup"
payload := strings.NewReader("{\n \"phases\": 123,\n \"max_current\": 123,\n \"group\": 123,\n \"net_type\": \"<string>\",\n \"phase_rotation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.plugchoice.com/v3/chargers/{charger}/setup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phases\": 123,\n \"max_current\": 123,\n \"group\": 123,\n \"net_type\": \"<string>\",\n \"phase_rotation\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.plugchoice.com/v3/chargers/{charger}/setup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phases\": 123,\n \"max_current\": 123,\n \"group\": 123,\n \"net_type\": \"<string>\",\n \"phase_rotation\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"setup_pending": true
}Configures initial settings for a charger including phases, current limits, and other configuration. The charger will automatically restart after a successful setup. This endpoint is rate limited to 1 request per 60 seconds per charger.
string
required
The UUID of the charger to set up.
integer
required
The number of phases. Must be
1 or 3.integer
required
The maximum current in Amperes. Must be at least 6.
integer
The location group ID to assign the charger to. Must reference an existing location group. Joining a group needs a Smart license on the charger, unless it already had load balancing before that became part of the Smart license; otherwise the request fails with
402.string
The electrical network type. One of
IT, TT, TN, or unknown.string
The phase rotation configuration. The length must match the number of phases. Valid values for 3 phases:
RST, RTS, SRT, STR, TRS, TSR. Valid values for 1 phase: R, S, T.Response
string
A success message indicating the charger will restart.
boolean
Whether the setup is still pending.
⌘I